Use a VI in Earlier Versions of LabVIEW After Opening It in a Later Version

Updated Jan 17, 2019

Reported In

Software

  • LabVIEW

Issue Details

I loaded a VI from an earlier version of LabVIEW (in this case, LabVIEW 6.1) in a later version of LabVIEW (in this case, LabVIEW 7.0). Can I still use that VI in the previous version of LabVIEW?

Solution

If you load a VI that was created in an earlier version, LabVIEW recompiles that VI to the newer version. Before you close that VI, LabVIEW prompts you to save it. If you do not save the VI, you still can load it in the earlier version of LabVIEW. Consider making a permanent backup of VIs that have been saved in earlier versions of LabVIEW before loading them in a newer version. If you save the VI after it has been recompiled to the newer LabVIEW version, you cannot load the VI in earlier versions of LabVIEW. If you try to do so, you might receive the following error:

LabVIEW load error code 8: Could not load VI resource.

For information on saving a VI to a previous version of LabVIEW, please see the link below.
 

WAS THIS ARTICLE HELPFUL?

Not Helpful